## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDOMString Class Reference

`#include <XalanDOMString.hpp>`

List of all members.

## Public Types

- typedef std::vector<XalanDOMChar> XalanDOMCharVectorType
- typedef std::vector<char> CharVectorType
- typedef std::vector<wchar_t> WideCharVectorType
- typedef XalanDOMChar value_type
- typedef XalanDOMChar& reference
- typedef const XalanDOMChar& const_reference
- typedef XalanDOMCharVectorType::size_type size_type
- typedef XalanDOMCharVectorType::iterator iterator
- typedef XalanDOMCharVectorType::const_iterator const_iterator
- typedef XalanDOMCharVectorType::reverse_iterator reverse_iterator
- typedef XalanDOMCharVectorType::const_reverse_iterator const_reverse_iterator
- enum {
  npos = -1
  }

## Public Methods

- XalanDOMString ()
- XalanDOMString ( const char* theString, size_type theCount = size_type(npos))
- XalanDOMString ( const XalanDOMString& theSource, size_type theStartPosition = 0, size_type theCount = size_type(npos))
- XalanDOMString ( const XalanDOMChar* theString, size_type theCount = size_type(npos))
- XalanDOMString ( size_type theCount, XalanDOMChar theChar)
- ~XalanDOMString ()
- XalanDOMString& operator= (const XalanDOMString& theRHS)
- XalanDOMString& operator= (const XalanDOMChar* theRHS)
- XalanDOMString& operator= (const char* theRHS)
- XalanDOMString& operator= (XalanDOMChar theRHS)
- iterator begin ()
- const_iterator begin () const
- iterator end ()
- const_iterator end () const
- reverse_iterator rbegin ()
- const_reverse_iterator rbegin () const
- reverse_iterator rend ()
- const_reverse_iterator rend () const
- size_type size () const
- size_type length () const
- size_type max_size () const
- void resize ( size_type theCount, XalanDOMChar theChar)
- void resize (size_type theCount)
- size_type capacity () const
- void reserve (size_type theCount = 0)
- void clear ()
- void erase ( size_type theStartPosition = 0, size_type theCount = size_type(npos))
- bool empty () const
- const_reference operator[] (size_type theIndex) const
- reference operator[] (size_type theIndex)
- const XalanDOMChar* c_str () const
- const XalanDOMChar* data () const
- void swap (XalanDOMString& theOther)
- XalanDOMString& operator+= (const XalanDOMString& theSource)
- XalanDOMString& operator+= (const XalanDOMChar* theString)
- XalanDOMString& operator+= (XalanDOMChar theChar)
- XalanDOMString& assign (const XalanDOMChar* theSource)
- XalanDOMString& assign ( const XalanDOMChar* theSource, size_type theCount)
- XalanDOMString& assign (const char* theSource)
- XalanDOMString& assign ( const char* theSource, size_type theCount)
- XalanDOMString& assign ( const XalanDOMString& theSource, size_type thePosition, size_type theCount)
- XalanDOMString& assign (const XalanDOMString& theSource)
- XalanDOMString& assign ( size_type theCount, XalanDOMChar theChar)
- XalanDOMString& assign ( const_iterator theFirstPosition, const_iterator theLastPosition)
- XalanDOMString& append (const XalanDOMString& theSource)
- XalanDOMString& append ( const XalanDOMString& theSource, size_type thePosition, size_type theCount)
- XalanDOMString& append ( const XalanDOMChar* theString, size_type theCount)
- XalanDOMString& append (const XalanDOMChar* theString)
- XalanDOMString& append ( const char* theString, size_type theCount)
- XalanDOMString& append (const char* theString)
- XalanDOMString& append ( size_type theCount, XalanDOMChar theChar)
- void push_back (XalanDOMChar theChar)
- XalanDOMString& insert ( size_type thePosition, const XalanDOMString& theString)
- XalanDOMString& insert ( size_type thePosition1, const XalanDOMString& theString, size_type thePosition2, size_type theCount)
- XalanDOMString& insert ( size_type thePosition, const XalanDOMChar* theString, size_type theCount)
- XalanDOMString& insert ( size_type thePosition, const XalanDOMChar* theString)
- XalanDOMString& insert ( size_type thePosition, size_type theCount, XalanDOMChar theChar)
- iterator insert ( iterator thePosition, XalanDOMChar theChar)
- void insert ( iterator thePosition, size_type theCount, XalanDOMChar theChar)
- void insert ( iterator theInsertPosition, const_iterator theFirstPosition, const_iterator theLastPosition)
- XalanDOMString substr ( size_type thePosition = 0, size_type theCount = size_type(npos)) const
- XalanDOMString& substr ( XalanDOMString& theSubstring, size_type thePosition = 0, size_type theCount = size_type(npos)) const
- int compare (const XalanDOMString& theString) const
- int compare ( size_type thePosition1, size_type theCount1, const XalanDOMString& theString) const
- int compare ( size_type thePosition1, size_type theCount1, const XalanDOMString& theString, size_type thePosition2, size_type theCount2) const
- int compare (const XalanDOMChar* theString) const
- int compare ( size_type thePosition1, size_type theCount1, const XalanDOMChar* theString, size_type theCount2 = size_type(npos)) const
- int compare (const char* theString) const
- int compare ( size_type thePosition1, size_type theCount1, const char* theString, size_type theCount2 = size_type(npos)) const
- CharVectorType transcode () const
    Transcode the string to the local code page. More...
- void transcode (CharVectorType& theResult) const
    Transcode the string to the local code page. More...
- size_type hash () const

## Static Public Methods

- bool equals ( const XalanDOMChar* theLHS, size_type theLHSLength, const XalanDOMChar* theRHS, size_type theRHSLength)
- bool equals ( const XalanDOMChar* theLHS, const XalanDOMChar* theRHS)
- bool equals ( const XalanDOMString& theLHS, const XalanDOMString& theRHS)
- bool equals ( const XalanDOMString& theLHS, const XalanDOMChar* theRHS)
- bool equals ( const XalanDOMChar* theLHS, const XalanDOMString& theRHS)
- size_type length (const XalanDOMChar* theString)
- size_type length (const char* theString)
- size_type hash ( const XalanDOMChar* theString, size_type theLength)

## Protected Methods

- void invariants () const
- iterator getBackInsertIterator ()
- const_iterator getBackInsertIterator () const
- iterator getIteratorForPosition (size_type thePosition)
- const_iterator getIteratorForPosition (size_type thePosition) const

## Member Typedef Documentation

typedef std::vector<char> XalanDOMString::CharVectorType

typedef std::vector<wchar_t> XalanDOMString::WideCharVectorType

typedef std::vector<XalanDOMChar> XalanDOMString::XalanDOMCharVectorType

typedef XalanDOMCharVectorType::const_iterator XalanDOMString::const_iterator

typedef const XalanDOMChar& XalanDOMString::const_reference

typedef XalanDOMCharVectorType::const_reverse_iterator XalanDOMString::const_reverse_iterator

typedef XalanDOMCharVectorType::iterator XalanDOMString::iterator

typedef XalanDOMChar& XalanDOMString::reference

typedef XalanDOMCharVectorType::reverse_iterator XalanDOMString::reverse_iterator

typedef XalanDOMCharVectorType::size_type XalanDOMString::size_type

typedef XalanDOMChar XalanDOMString::value_type

## Member Enumeration Documentation

anonymous enum

Enumeration values:

  npos |

## Constructor & Destructor Documentation

XalanDOMString::XalanDOMString ( | )`[explicit]`

XalanDOMString::XalanDOMString ( | const char * theString,
| size_type theCount = size_type(npos) )`[explicit]`

XalanDOMString::XalanDOMString ( | const XalanDOMString & theSource,
| size_type theStartPosition = 0,
| size_type theCount = size_type(npos) )

XalanDOMString::XalanDOMString ( | const XalanDOMChar * theString,
| size_type theCount = size_type(npos) )`[explicit]`

XalanDOMString::XalanDOMString ( | size_type theCount,
| XalanDOMChar theChar )

XalanDOMString::~XalanDOMString ( | )`[]`

## Member Function Documentation

XalanDOMString& XalanDOMString::append ( | size_type theCount,
| XalanDOMChar theChar )

XalanDOMString & XalanDOMString::append ( | const char * theString )`[]`

XalanDOMString& XalanDOMString::append ( | const char * theString,
| size_type theCount )

XalanDOMString & XalanDOMString::append ( | const XalanDOMChar * theString )`[]`

XalanDOMString& XalanDOMString::append ( | const XalanDOMChar * theString,
| size_type theCount )

XalanDOMString & XalanDOMString::append ( | const XalanDOMString & theSource,
| size_type thePosition,
| size_type theCount )`[]`

XalanDOMString & XalanDOMString::append ( | const XalanDOMString & theSource )`[]`

XalanDOMString& XalanDOMString::assign ( | const_iterator theFirstPosition,
| const_iterator theLastPosition )

XalanDOMString & XalanDOMString::assign ( | size_type theCount,
| XalanDOMChar theChar )`[]`

XalanDOMString & XalanDOMString::assign ( | const XalanDOMString & theSource )`[]`

XalanDOMString& XalanDOMString::assign ( | const XalanDOMString & theSource,
| size_type thePosition,
| size_type theCount )

XalanDOMString & XalanDOMString::assign ( | const char * theSource,
| size_type theCount )`[]`

XalanDOMString & XalanDOMString::assign ( | const char * theSource )`[]`

XalanDOMString & XalanDOMString::assign ( | const XalanDOMChar * theSource,
| size_type theCount )`[]`

XalanDOMString & XalanDOMString::assign ( | const XalanDOMChar * theSource )`[]`

const_iterator XalanDOMString::begin ( | ) const`[]`

iterator XalanDOMString::begin ( | )`[]`

const XalanDOMChar * XalanDOMString::c_str ( | ) const`[]`

size_type XalanDOMString::capacity ( | ) const`[]`

void XalanDOMString::clear ( | )`[]`

int XalanDOMString::compare ( | size_type thePosition1,
| size_type theCount1,
| const char * theString,
| size_type theCount2 = size_type(npos) ) const`[]`

int XalanDOMString::compare ( | const char * theString ) const`[]`

int XalanDOMString::compare ( | size_type thePosition1,
| size_type theCount1,
| const XalanDOMChar * theString,
| size_type theCount2 = size_type(npos) ) const

int XalanDOMString::compare ( | const XalanDOMChar * theString ) const

int XalanDOMString::compare ( | size_type thePosition1,
| size_type theCount1,
| const XalanDOMString & theString,
| size_type thePosition2,
| size_type theCount2 ) const`[]`

int XalanDOMString::compare ( | size_type thePosition1,
| size_type theCount1,
| const XalanDOMString & theString ) const`[]`

int XalanDOMString::compare ( | const XalanDOMString & theString ) const`[]`

const XalanDOMChar * XalanDOMString::data ( | ) const`[]`

bool XalanDOMString::empty ( | ) const`[]`

const_iterator XalanDOMString::end ( | ) const`[]`

iterator XalanDOMString::end ( | )`[]`

bool XalanDOMString::equals ( | const XalanDOMChar * theLHS,
| const XalanDOMString & theRHS )`[static]`

bool XalanDOMString::equals ( | const XalanDOMString & theLHS,
| const XalanDOMChar * theRHS )`[static]`

bool XalanDOMString::equals ( | const XalanDOMString & theLHS,
| const XalanDOMString & theRHS )`[static]`

bool XalanDOMString::equals ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS )`[static]`

bool XalanDOMString::equals ( | const XalanDOMChar * theLHS,
| size_type theLHSLength,
| const XalanDOMChar * theRHS,
| size_type theRHSLength )`[static]`

void XalanDOMString::erase ( | size_type theStartPosition = 0,
| size_type theCount = size_type(npos) )

const_iterator XalanDOMString::getBackInsertIterator ( | ) const`[protected]`

iterator XalanDOMString::getBackInsertIterator ( | )`[protected]`

const_iterator XalanDOMString::getIteratorForPosition ( | size_type thePosition ) const`[protected]`

iterator XalanDOMString::getIteratorForPosition ( | size_type thePosition )`[protected]`

size_type XalanDOMString::hash ( | const XalanDOMChar * theString,
| size_type theLength )`[static]`

size_type XalanDOMString::hash ( | ) const`[]`

void XalanDOMString::insert ( | iterator theInsertPosition,
| const_iterator theFirstPosition,
| const_iterator theLastPosition )

void XalanDOMString::insert ( | iterator thePosition,
| size_type theCount,
| XalanDOMChar theChar )

iterator XalanDOMString::insert ( | iterator thePosition,
| XalanDOMChar theChar )

XalanDOMString& XalanDOMString::insert ( | size_type thePosition,
| size_type theCount,
| XalanDOMChar theChar )

XalanDOMString & XalanDOMString::insert ( | size_type thePosition,
| const XalanDOMChar * theString )`[]`

XalanDOMString& XalanDOMString::insert ( | size_type thePosition,
| const XalanDOMChar * theString,
| size_type theCount )

XalanDOMString & XalanDOMString::insert ( | size_type thePosition1,
| const XalanDOMString & theString,
| size_type thePosition2,
| size_type theCount )`[]`

XalanDOMString & XalanDOMString::insert ( | size_type thePosition,
| const XalanDOMString & theString )`[]`

void XalanDOMString::invariants ( | ) const`[protected]`

size_type XalanDOMString::length ( | const char * theString )`[static]`

size_type XalanDOMString::length ( | const XalanDOMChar * theString )`[static]`

size_type XalanDOMString::length ( | ) const`[]`

size_type XalanDOMString::max_size ( | ) const`[]`

XalanDOMString & XalanDOMString::operator+= ( | XalanDOMChar theChar )`[]`

XalanDOMString & XalanDOMString::operator+= ( | const XalanDOMChar * theString )`[]`

XalanDOMString & XalanDOMString::operator+= ( | const XalanDOMString & theSource )`[]`

XalanDOMString & XalanDOMString::operator= ( | XalanDOMChar theRHS )`[]`

XalanDOMString & XalanDOMString::operator= ( | const char * theRHS )`[]`

XalanDOMString & XalanDOMString::operator= ( | const XalanDOMChar * theRHS )`[]`

XalanDOMString & XalanDOMString::operator= ( | const XalanDOMString & theRHS )`[]`

reference XalanDOMString::operator[] ( | size_type theIndex )`[]`

const_reference XalanDOMString::operator[] ( | size_type theIndex ) const`[]`

void XalanDOMString::push_back ( | XalanDOMChar theChar )`[]`

const_reverse_iterator XalanDOMString::rbegin ( | ) const`[]`

reverse_iterator XalanDOMString::rbegin ( | )`[]`

const_reverse_iterator XalanDOMString::rend ( | ) const`[]`

reverse_iterator XalanDOMString::rend ( | )`[]`

void XalanDOMString::reserve ( | size_type theCount = 0 )`[]`

void XalanDOMString::resize ( | size_type theCount )`[]`

void XalanDOMString::resize ( | size_type theCount,
| XalanDOMChar theChar )

size_type XalanDOMString::size ( | ) const`[]`

XalanDOMString & XalanDOMString::substr ( | XalanDOMString & theSubstring,
| size_type thePosition = 0,
| size_type theCount = size_type(npos) ) const`[]`

XalanDOMString XalanDOMString::substr ( | size_type thePosition = 0,
| size_type theCount = size_type(npos) ) const`[]`

void XalanDOMString::swap ( | XalanDOMString & theOther )`[]`

void XalanDOMString::transcode ( | CharVectorType & theResult ) const

Transcode the string to the local code page.

If the string cannot be properly transcoded, and the transcoder can detect the error a TranscodingError exception is thrown.

Parameters:

  theResult | A CharVectorType instance for the transcoded string. The string is null-terminated.

CharVectorType XalanDOMString::transcode ( | ) const

Transcode the string to the local code page.

If the string cannot be properly transcoded, and the transcoder can detect the error a TranscodingError exception is thrown.

Returns:
  A null-terminated CharVectorType instance.

The documentation for this class was generated from the following file:

- XalanDOMString.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.